<?php 

// opening site container
function real_site_container_open() {
    get_template_part('template-parts/global/site-container', 'open');
}
add_action('real_header', 'real_site_container_open', 5);
add_action('real_footer', 'real_site_container_open', 5);
add_action('real_footer', 'real_site_container_open', 20);
add_action('real_single_post', 'real_site_container_open', 5);

// closing site container
function real_site_container_close() {
    get_template_part('template-parts/global/site-container', 'close');
}
add_action('real_header', 'real_site_container_close', 30);
add_action('real_footer', 'real_site_container_close', 15);
add_action('real_footer', 'real_site_container_close', 30);
add_action('real_single_post', 'real_site_container_close', 30);

// site notification banner
function real_site_notification_banner() {
    get_template_part('template-parts/global/notification-banner');
}
$site_banner = get_field('site_notification_toggle', 'option');
if($site_banner == 1) {
    add_action('real_header', 'real_site_container_open', 2);
    add_action('real_header', 'real_site_notification_banner', 3);
    add_action('real_header', 'real_site_container_close', 4);
}